/home/techb158/.nvm/test/fast/Set Colors
NameSizeModeActions
nvm_echo_with_colors3420775editdlrm
nvm_err_with_colors3310775editdlrm
nvm_print_default_alias calls nvm_get_colors5810775editdlrm
nvm_print_versions calls nvm_get_colors10910775editdlrm
Edit: /home/techb158/.nvm/test/fast/Set Colors/nvm_err_with_colors (331B)
#!/bin/sh set -ex die () { echo "$@" ; cleanup ; exit 1; } cleanup() { echo "Tested nvm_err_with_colors" } \. ../../../nvm.sh set +ex OUTPUT="$(nvm_err_with_colors "\033[0;35mMagenta-colored text" 2>&1)" set -ex EXPECTED_OUTPUT=$(printf "\033[0;35mMagenta-colored text") [ "_$OUTPUT" = "_$EXPECTED_OUTPUT" ] || die cleanup